@import url("./header.css");
@import url("./home.css");
@import url("./portfolio.css");
@import url("./contact.css");
* {
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    padding: 0;
    margin: 0;
}
:root{
    --main-transition: 0.5s;
    --del-transition: all 0.3s 0.5s;
    --neon-yellow: #FFFF00;
    --orange-color: #FF6800;
    --blue-color: #0000FF;
    --light-grey: #F8F9F9;
}
/* settings */
html {
    scroll-behavior: smooth;
}
body {
    width: 100%;
    font-family: 'Cabin', sans-serif;
    font-family: 'Oswald', sans-serif;
    font-family: 'Raleway', sans-serif;
}
body::before {
    display: none;
}
::-webkit-scrollbar {
    width: 18px;
}
::-webkit-scrollbar-track {
    background-color: #212121;
}
::-webkit-scrollbar-thumb { 
    background-color: var(--neon-yellow);
    border-radius: 2px;
}
a {
    text-decoration: none;
}
ul {
    list-style: none;
}
/* small */
@media(min-width:768px) {
    .container {
        width: 750px;
    }
}
/* medium */
@media(min-width:992px) {
    .container {
        width: 970px;
    }
}
/* large */
@media(min-width:1200px) {
    .container {
        width: 1170px;
    }
}

.overlay {
    width: 100%;
    height: 100vh;
    background-color: #00000073;
    position: fixed;
    inset: 0;
    z-index: 100000;
    display: flex;
    justify-content: center;
    align-items: center;
}
.disabled {
    display: none;
}
.overlay .box .image {
    width: 900px;
}
@media (max-width:992px) {
    .overlay .box .image {
    width: 700px;
}
}
@media (max-width:768px) {
    .overlay .box .image {
    width: 100%;
}
}
.overlay .box .image img {
    width: 100%;
}
.overlay .box {
    position: relative;
}
.overlay .box h3,.overlay .box i, .overlay .box p  {
    position: absolute;
    cursor: pointer;
    transition: var(--main-transition);
}
.overlay .box i {
    width: 30px;
    height: 30px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 20px;
    color: var(--light-grey);
    background-color: #a49797;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.overlay .box i:hover, .overlay .box p:hover {
    opacity: 80%;
}
.overlay .box i:first-of-type {
    left: 0;
}
.overlay .box i:last-of-type {
    right: 0;
}
.overlay .box i::before {
    font-size: 36px;
    transform: translateX(-40%);
    margin-left: auto;
}
.overlay .box i:first-of-type::before {
    transform: translateX(-80%);
}
.overlay .box p {
    width: 25px;
    height: 25px;
    top: -5%;
    right: -1%;
    font-size: 20px;
    font-weight: bold;
    background-color: var(--light-grey);
    border-radius: 50%;
    color: #000;
    display: flex;
    justify-content: center;
    align-items: center;
}
.overlay .box p:hover {
    opacity: 80%;
}
.overlay .box h3 {
    width: fit-content;
    padding: 5px;
    background-color: var(--light-grey);
    text-align: center;
    border: 1px solid var(--light-grey);
    color: #000;
    left: 50%;
    bottom: 10%;
    transform: translateX(-50%);
}
.overlay .box h3:hover {
    transform: translateX(-50%) scale(1.1);
}
/* Start About */
.about {
    border-top: 1px solid var(--light-grey);
    padding: 20px;
    background-image: url('../images/dark.jpg');
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    color: var(--light-grey);
}
.about .container {
    width: 100%;
}
.about .container .link, .contact .container .link,.link {
    border: 1px solid #000;
    width: fit-content;
    margin-left: 50%;
    transform: translateX(-50%);
    padding: 5px 10px;
    cursor: pointer;
    transition: var(--main-transition);
}
.link:hover {
    background-color: #000;
    color: var(--neon-yellow);
    box-shadow: 4px 4px 3px #999;
}
.link, .about .container p {
    text-align: center;
}
.about .container p {
    margin: 30px 0;
    flex-basis: 70%;
    font-size: 25px;
}
.about .container .boxes {
    display: flex;
    justify-content: center;
    margin: 0 20px;
}
.about .container .boxes .icons {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    align-items: center;
    gap: 40px;
}
.about .container .boxes .progress {
    position: relative;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    color: #909497;
    background: conic-gradient(var(--clr) 0deg, #eee 0deg 360deg);
    transition: all 0.4s;
}
.container .progress::after {
    content: "";
    position: absolute;
    inset: 10px;
    border-radius: 50%;
    background: #ffffff;
    transition: all 0.4s;
}
.container .progress h3 {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%,-50%);
    font-size: 2.5em;
    z-index: 1;
    font-weight: 500;
    color: var(--clr);
    font-family: 'Courier New', Courier, monospace;
    transition: all 0.4s;
}
.container .progress h3 span {
    font-size: 0.65em;
    font-weight: 400;
}
.container .progress h4 {
    position: absolute;
    left: 50%;
    top: 65%;
    transform: translateX(-50%);
    z-index: 1;
    font-weight: 500;
    color: var(--clr);
    text-transform: uppercase;
    text-align: center;
}
/* End About */

/* Start Footer */
footer {
    background-color: black;
    width: 100%;
    z-index: 2;
    color: #fff;
}
footer .container {
    display: flex;
    justify-content: space-around;
    /* margin: 0 20px; */
    padding: 4px 0;
    align-items: center;
    width: 100%;
}
footer .container p span {
    color: var(--neon-yellow);
    font-weight: bold;
}
@media(max-width:767px) {
    footer .container p {
        font-size: 13px;
    }
} 
footer .container ul {
    display: flex;
    justify-content: space-around;
    flex-basis: 50%;
}
footer .container ul li a i {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    font-size: 20px;
    transition: 0.3s;
    background-color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}
footer .container ul li a i:hover {
    transform: scale3d(1.1,1.1,1.1);
}
footer .container ul li a #face{
    color: #4267B2;
}
footer .container ul li a #linked {
    color: #0A66C2;
}
footer .container ul li a #whats {
    color: #25D366;
}
footer .container ul li a #yout {
    color: #FF0000;
}
footer .container ul li a #git {
    color: #000;
}
/* End Footer */